#pragma once
#include <myapp/logging/logger.h>
#include <memory>

namespace myapp::logging {

class logger_factory final
{
public:
    static std::shared_ptr<logger> create_console_logger();
    static std::shared_ptr<logger> create_text_logger(std::string const&);
    static std::shared_ptr<logger> create_journal_logger();
};

} /* namespace myapp::logging */
